View Issue Details

IDProjectCategoryView StatusLast Update
0000253Adventure PHP FrameworkBugpublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0.1Fixed in Version3.0.1 
Summary0000253: Parser crashes with extended templating expression syntax as tag attribute value
DescriptionGiven the following tag

<dyn:expr
   expression="model[0]->getFoo()"
/>

the page crashes with error

Exception-ID: cc029c048881c3c8c807f5c2af30328d
Type: APF\core\pagecontroller\ParserException
Message:[XmlParser::getAttributesFromString()] Error while parsing: " expression="model[0]->". Maximum number of loops ("20") exceeded!
Number: 256
File: ***/APF/core/pagecontroller/XmlParser.php
Line: 139
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-07-27 08:31 ChristianAchatz New Issue
2015-07-27 08:31 ChristianAchatz Status new => assigned
2015-07-27 08:31 ChristianAchatz Assigned To => ChristianAchatz
2015-07-27 08:55 ChristianAchatz Status assigned => resolved
2015-07-27 08:55 ChristianAchatz Fixed in Version => 3.1
2015-07-27 08:55 ChristianAchatz Resolution open => fixed
2015-08-30 16:10 ChristianAchatz Fixed in Version 3.1 => 3.0.1
2015-08-30 16:10 ChristianAchatz Target Version 3.1 => 3.0.1
2015-10-12 12:19 ChristianAchatz Status resolved => closed